RDKit: RDKit::v2::FileParsers::SmilesMolSupplierParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::v2::FileParsers::SmilesMolSupplierParams Struct Reference

`#include <MolSupplier.h>`

## Public Attributes
std::string | delimiter = " \t"
int | smilesColumn = 0
int | nameColumn = 1
bool | titleLine = true
v2::SmilesParse::SmilesParserParams | parseParameters

## Detailed Description

Definition at line 230 of file MolSupplier.h.

## Member Data Documentation

## ◆ delimiter

std::string RDKit::v2::FileParsers::SmilesMolSupplierParams::delimiter = " \t"

Definition at line 231 of file MolSupplier.h.

Referenced by RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), and RDKit::v1::SmilesMolSupplier::SmilesMolSupplier().

## ◆ nameColumn

int RDKit::v2::FileParsers::SmilesMolSupplierParams::nameColumn = 1

Definition at line 233 of file MolSupplier.h.

Referenced by RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), and RDKit::v1::SmilesMolSupplier::SmilesMolSupplier().

## ◆ parseParameters

v2::SmilesParse::SmilesParserParams RDKit::v2::FileParsers::SmilesMolSupplierParams::parseParameters

Initial value:
= {
true,
false,
true,
false,
true,
false,
false,
{}
}

Definition at line 235 of file MolSupplier.h.

Referenced by RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), and RDKit::v1::SmilesMolSupplier::SmilesMolSupplier().

## ◆ smilesColumn

int RDKit::v2::FileParsers::SmilesMolSupplierParams::smilesColumn = 0

Definition at line 232 of file MolSupplier.h.

Referenced by RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), and RDKit::v1::SmilesMolSupplier::SmilesMolSupplier().

## ◆ titleLine

bool RDKit::v2::FileParsers::SmilesMolSupplierParams::titleLine = true

Definition at line 234 of file MolSupplier.h.

Referenced by RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), and RDKit::v1::SmilesMolSupplier::SmilesMolSupplier().

The documentation for this struct was generated from the following file:

- MolSupplier.h